Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::interleave_view< Rngs >::cursor Struct Reference
Views

## Public Member Functions
| cursor (std::size_t n, std::vector< inner_range_t > const *rngs, std::vector< inner_iterator_t > its)
bool | done () const
CPP_member auto | equal (cursor const &that) const -> CPP_ret(bool)(requires ForwardRange< inner_range_t >)
auto CPP_auto_fun() | get ()(const)(return *its_[n_]) void next()